CONDOR_JOB_ROUTER_INFO(1)

NAME
condor_job_router_info - HTCondor Manual

Discover and display information related to job routing condor_job_router_infocondor_job_router_info command

SYNOPSIS

condor_job_router_info [-help | -version ]

condor_job_router_info -config

condor_job_router_info -match-jobs -jobads inputfile [-ignore-prior-routing ]

condor_job_router_info -route-jobs outputfile -jobads inputfile [-ignore-prior-routing] [-log-steps]

DESCRIPTION

condor_job_router_info displays information about job routing. The information will be either the available, configured routes or the routes for specified jobs. condor_job_router_info can also be used to simulate routing by supplying a job classad in a file. This can be used to test the router configuration offline.

OPTIONS

-help
    Display usage information and exit.

-version
    Display HTCondor version information and exit.

-config
    Display configured routes.

-match-jobs
    For each job listed in the file specified by the -jobads option, display the first route found.

-route-jobs filename
    For each job listed in the file specified by the -jobads option, apply the first route found and print the routed jobs to the specified output file. if filename is - the routed jobs are printed to stdout.

-log-steps
    When used with the -route-jobs option, print each transform step as the job transforms are applied.

-ignore-prior-routing
    For each job, remove any existing routing ClassAd attributes, and set attribute JobStatus to the Idle state before finding the first route.

-jobads filename
    Read job ClassAds from file filename. If filename is -, then read from stdin.

EXIT STATUS

condor_job_router_info will exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

AUTHOR
HTCondor Team

COPYRIGHT
1990-2020, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.